package pl.helion.j2mepp.lokalizator.dodatkowe;

import java.util.TimerTask;
import pl.helion.j2mepp.lokalizator.ZnajomiList;
import pl.helion.j2mepp.lokalizator.dto.Uzytkownik;
import pl.helion.j2mepp.lokalizator.komunikacja.MenedzerUzytkownikow;

public class PobieranieZnajomychTimerTask extends TimerTask {
    private ZnajomiList wlasciciel;
    private MenedzerUzytkownikow menedzerUzyt;

    public void setWlasciciel(ZnajomiList wlasciciel) {
        this.wlasciciel = wlasciciel;
    }
    public void setMenedzerUzytkownikow(MenedzerUzytkownikow menedzerUzyt) {
        this.menedzerUzyt = menedzerUzyt;
    }
    public void run() {
        Uzytkownik[] znajomi = menedzerUzyt.odswiez(); // wspolrzedne, tez z menedzerLokal
        wlasciciel.odswiezListe(znajomi);
    }
}
